This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 518588 - Add xen pvgrub support for bzImage lzma/bzip2 compression
Add xen pvgrub support for bzImage lzma/bzip2 compression
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
12
All Linux
high Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: F13VirtTarget
  Show dependency treegraph
 
Reported: 2009-08-21 03:37 EDT by Mark McLoughlin
Modified: 2010-12-05 01:34 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:34:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2009-08-21 03:37:08 EDT
2.6.31 gained the ability to be able to compress the bzImage using lzma or bzip2 instead of gzip

The xen domain builder does not have support for this yet, so we switched back from lzma to bzip2 in the Fedora 12 kernel. We will switch back to lzma in Fedora 13. See bug #515831

Chris and Pasi got support into upstream xen userland:

  http://xenbits.xensource.com/xen-unstable.hg?rev/a687c4d35fdd
  http://xenbits.xensource.com/xen-unstable.hg?rev/7dad2e23bf89

We should add this to Fedora 12 Xen so that users testing pv_ops Dom0 kernels will be able to boot Fedora 13 guests.
Comment 1 Pasi Karkkainen 2009-08-24 12:56:27 EDT
Also this changeset is needed:
http://xenbits.xen.org/staging/xen-unstable.hg?rev/c5125c0ea051

I've tested the patches with rawhide LZMA compressed kernel and they work when applied to Xen 3.4.1-1.

Please note there will be more fixes needed to get the stubdom/pvgrub bzip2/lzma support working. The current patches do not yet provide that.
Comment 2 Pasi Karkkainen 2009-09-02 11:40:07 EDT
xen-3.4.1-3 in rawhide contains bzip2/lzma support for the pv domain builder.

pvgrub support for bzip2/lzma is not yet upstream.
Comment 3 Mark McLoughlin 2009-09-15 07:15:57 EDT
Changing title to reflect this is just about pvgrub support and moving to F13VirtTarget
Comment 4 Bug Zapper 2009-11-16 06:35:24 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-11-04 06:26:02 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-05 01:34:47 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.